local wezterm = require("wezterm")

local function startup()
	local mux = wezterm.mux
	local project_dir = wezterm.home_dir .. "/Documents/projects/job-req"

	-- Spawn a new window with the specified project directory as the working directory
	local tab, main_pane, window = mux.spawn_window({
		cwd = project_dir,
	})
	main_pane:send_text("vim .\n")

	-- Split the main pane to the right and start ipython
	local ipython_pane = main_pane:split({
		direction = "Right",
		cwd = project_dir,
	})
	ipython_pane:send_text("python\n")

	-- Split the ipython pane downward for running other commands
	local run_pane = ipython_pane:split({
		direction = "Bottom",
		cwd = project_dir,
	})
end

return {
	startup = startup,
}
